Subject: bug#24523: Base64 images makes Emacs slow

From: Andreas Nilsson <[email-masked]>
Date: Sat, 24 Sep 2016 11:09:01 +0200

Den Sat, 24 Sep 2016 09:53:57 +0300
skrev Re: bug#24523: Base64 images makes Emacs slow:

> > Date: Sat, 24 Sep 2016 07:37:39 +0200
> > From: Andreas Nilsson <[email-masked]>
> > 
> > When developing Javascript with base64 images in the code Emacs
> > becomes slow and laggy, it takes several seconds for a character to
> > input in the buffer with such an image string in it.
> > 
> > I have tried emacs -Q with no mode loaded and the lag is still
> > there, what should I do?  
> 
> Report the details, please.  Ideally, post a recipe, starting with
> "emacs -Q" and loading the necessary support libraries, then include
> whatever commands are needed to demonstrate the slowness.  Attach
> image files needed to reproduce the problem.  Also, include the
> details of your platform (if you use report-emacs-bug, it will do that
> for you).
> 
> Thanks.

1. emacs -Q
2. Visit https://www.base64-image.de/ and "click here" select an image
(I selected a ~200kB one)
3. Click "show code" and copy paste the string you get into *scratch*.
4. Now try C-v and M-v as well as type some characters, this is the
point where it lags.

My platforms are Windows 10 and Arch Linux, happens on both. Latest
stable Emacs 25.1.1. Specifically on Arch I use x86_64 with GTK+
3.20.9, if that is of interest.

Thanks.